org.wildfly.swarm.config.messaging.activemq.server

## Class LiveOnlyHAPolicy<T extends LiveOnlyHAPolicy<T>>

- java.lang.Object
- - org.wildfly.swarm.config.messaging.activemq.server.LiveOnlyHAPolicy<T>

-     public class LiveOnlyHAPolicy<T extends LiveOnlyHAPolicy<T>>
      extends Object

  A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LiveOnlyHAPolicy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Boolean` | `scaleDown()` Configure whether this server send its messages to another live server in the scale-down cluster when it is shutdown cleanly.
    `T` | `scaleDown(Boolean value)` Configure whether this server send its messages to another live server in the scale-down cluster when it is shutdown cleanly.
    `String` | `scaleDownClusterName()` Name of the cluster used to scale down.
    `T` | `scaleDownClusterName(String value)` Name of the cluster used to scale down.
    `T` | `scaleDownConnector(String value)` List of connectors used to form the scale-down cluster.
    `List<String>` | `scaleDownConnectors()` List of connectors used to form the scale-down cluster.
    `T` | `scaleDownConnectors(List<String> value)` List of connectors used to form the scale-down cluster.
    `T` | `scaleDownConnectors(String... args)` List of connectors used to form the scale-down cluster.
    `String` | `scaleDownDiscoveryGroup()` Name of the discovery group used to build the scale-down cluster
    `T` | `scaleDownDiscoveryGroup(String value)` Name of the discovery group used to build the scale-down cluster
    `String` | `scaleDownGroupName()` Name of the group used to scale down.
    `T` | `scaleDownGroupName(String value)` Name of the group used to scale down.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LiveOnlyHAPolicy

          public LiveOnlyHAPolicy()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### scaleDown

          public Boolean scaleDown()

      Configure whether this server send its messages to another live server in the scale-down cluster when it is shutdown cleanly.

    - #### scaleDown

          public T scaleDown(Boolean value)

      Configure whether this server send its messages to another live server in the scale-down cluster when it is shutdown cleanly.

    - #### scaleDownClusterName

          public String scaleDownClusterName()

      Name of the cluster used to scale down.

    - #### scaleDownClusterName

          public T scaleDownClusterName(String value)

      Name of the cluster used to scale down.

    - #### scaleDownConnectors

          public List<String> scaleDownConnectors()

      List of connectors used to form the scale-down cluster.

    - #### scaleDownConnectors

          public T scaleDownConnectors(List<String> value)

      List of connectors used to form the scale-down cluster.

    - #### scaleDownConnector

          public T scaleDownConnector(String value)

      List of connectors used to form the scale-down cluster.

    - #### scaleDownConnectors

          public T scaleDownConnectors(String... args)

      List of connectors used to form the scale-down cluster.

    - #### scaleDownDiscoveryGroup

          public String scaleDownDiscoveryGroup()

      Name of the discovery group used to build the scale-down cluster

    - #### scaleDownDiscoveryGroup

          public T scaleDownDiscoveryGroup(String value)

      Name of the discovery group used to build the scale-down cluster

    - #### scaleDownGroupName

          public String scaleDownGroupName()

      Name of the group used to scale down.

    - #### scaleDownGroupName

          public T scaleDownGroupName(String value)

      Name of the group used to scale down.

Copyright © 2018 JBoss by Red Hat. All rights reserved.